# H323VideoCapability Class Reference

`#include <h323caps.h>`

Inheritance diagram for H323VideoCapability:

[legend]
Collaboration diagram for H323VideoCapability:
[legend]

## Public Member Functions

Identification functions
virtual MainTypes | GetMainType () const
Operations
virtual unsigned | GetDefaultSessionID () const
Protocol manipulation
virtual PBoolean | OnSendingPDU (H245_Capability &pdu) const
virtual PBoolean | OnSendingPDU (H245_DataType &pdu) const
virtual PBoolean | OnSendingPDU (H245_ModeElement &pdu) const
virtual PBoolean | OnSendingPDU (H245_VideoCapability &pdu) const
virtual PBoolean | OnSendingPDU (H245_VideoCapability &pdu, CommandType type) const
virtual PBoolean | OnSendingPDU (H245_VideoMode &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_Capability &pdu)
virtual PBoolean | OnReceivedPDU (const H245_DataType &pdu, PBoolean receiver)
virtual PBoolean | OnReceivedPDU (const H245_VideoCapability &pdu)
virtual PBoolean | OnReceivedPDU (const H245_VideoCapability &pdu, CommandType type)

## Detailed Description

This class describes the interface to a video codec used to transfer data via the logical channels opened and managed by the H323 control channel.

An application may create a descendent off this class and override functions as required for descibing a codec.

## Member Function Documentation

virtual unsigned H323VideoCapability::GetDefaultSessionID | ( |  | ) | const`[virtual]`

Get the default RTP session. This function gets the default RTP session ID for the capability type. For example audio capabilities return the value H323Capability::DefaultAudioSessionID etc.

The default behaviour returns zero, indicating it is not an RTP based capability.

Reimplemented from H323Capability.

virtual MainTypes H323VideoCapability::GetMainType | ( |  | ) | const`[virtual]`

Get the main type of the capability. Always returns e_Video.

Implements H323Capability.

virtual PBoolean H323VideoCapability::OnReceivedPDU | ( | const H245_VideoCapability & | pdu,
|  | CommandType | type |
| ) |  |  | `[virtual]`

Parameters:

  pdu | PDU to get information from
  type | Type of PDU to send in

Reimplemented in H323GenericVideoCapability, H323ExtendedVideoCapability, and H323H239VideoCapability.

virtual PBoolean H323VideoCapability::OnReceivedPDU | ( | const H245_VideoCapability & | pdu | ) | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour is pure.

Parameters:

  pdu | PDU to set information on

Reimplemented in H323H261Capability, H323H263Capability, and H323NonStandardVideoCapability.

virtual PBoolean H323VideoCapability::OnReceivedPDU | ( | const H245_DataType & | pdu,
|  | PBoolean | receiver |
| ) |  |  | `[virtual]`

This function is called whenever and incoming OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour is pure.

Parameters:

  pdu | PDU to get information from
  receiver | Is receiver OLC

Reimplemented from H323Capability.

virtual PBoolean H323VideoCapability::OnReceivedPDU | ( | const H245_Capability & | pdu | ) | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet PDU is received on the control channel, and a new H323Capability descendent was created. This completes reading fields from the PDU into the classes members.

If the function returns false then the received PDU codec description is not supported, so will be ignored. The default behaviour simply returns true.

Parameters:

  pdu | PDU to get information from

Reimplemented from H323Capability.

virtual PBoolean H323VideoCapability::OnSendingPDU | ( | H245_VideoMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the PDUs tag according to the GetSubType() function (translated to different enum).

Parameters:

  pdu | PDU to set information on

Reimplemented in H323H261Capability, H323H263Capability, H323NonStandardVideoCapability, H323GenericVideoCapability, and H323ExtendedVideoCapability.

virtual PBoolean H323VideoCapability::OnSendingPDU | ( | H245_VideoCapability & | pdu,
|  | CommandType | type |
| ) |  |  | const`[virtual]`

Parameters:

  pdu | PDU to set information on
  type | Type of PDU to send in

Reimplemented in H323GenericVideoCapability, H323ExtendedVideoCapability, and H323H239VideoCapability.

virtual PBoolean H323VideoCapability::OnSendingPDU | ( | H245_VideoCapability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour is pure.

Parameters:

  pdu | PDU to set information on

Reimplemented in H323H261Capability, H323H263Capability, and H323NonStandardVideoCapability.

virtual PBoolean H323VideoCapability::OnSendingPDU | ( | H245_ModeElement & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour calls the OnSendingPDU() function with a more specific PDU type.

Parameters:

  pdu | PDU to set information on

Implements H323Capability.

virtual PBoolean H323VideoCapability::OnSendingPDU | ( | H245_DataType & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour calls the OnSendingPDU() function with a more specific PDU type.

Parameters:

  pdu | PDU to set information on

Reimplemented from H323Capability.

virtual PBoolean H323VideoCapability::OnSendingPDU | ( | H245_Capability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour calls the OnSendingPDU() function with a more specific PDU type.

Parameters:

  pdu | PDU to set information on

Implements H323Capability.

The documentation for this class was generated from the following file:

- h323caps.h